#!/bin/bash
board_model=$(tr -d '\000' < /proc/device-tree/model)
if [ "$board_model" = "M1-MUSE-BOOK" ]; then
        echo "This is musebook"
        usb_device=$(ls /sys/devices/platform/soc/c0980100.ehci1/ | grep usb)
        usb_number=${usb_device#usb}
        echo "ehci1 usb bus number is $usb_number"
        HUB_BT_DIS=/sys/bus/usb/devices/usb$usb_number/$usb_number-1/$usb_number-1:1.0/$usb_number-1-port1/disable
        echo "musebook ehci1 usb bt port disable path is $HUB_BT_DIS"
        onoff=$1
        if [ -z "$onoff" ]; then
                onoff=0
        fi
        echo "musebook bt rfkill requested usb-block=$onoff"
        echo $onoff > $HUB_BT_DIS
else
        echo "This is not musebook"
fi